CVE-2018-1000001

Name
CVE-2018-1000001
Description
In glibc 2.26 and earlier there is confusion in the usage of getcwd() by realpath() which can be used to write before the destination buffer leading to a buffer underflow and potential code execution.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Third Party Advisory https://www.halfdog.net/Security/2017/LibcRealpathBufferUnderflow/
Mailing List http://seclists.org/oss-sec/2018/q1/38
Exploit https://www.exploit-db.com/exploits/43775/
Third Party Advisory http://www.securitytracker.com/id/1040162
Third Party Advisory http://www.securityfocus.com/bid/102525
Third Party Advisory https://usn.ubuntu.com/3536-1/
Third Party Advisory https://usn.ubuntu.com/3534-1/
Third Party Advisory https://access.redhat.com/errata/RHSA-2018:0805
Exploit https://www.exploit-db.com/exploits/44889/
CONFIRM https://security.netapp.com/advisory/ntap-20190404-0003/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gnu:glibc:*:*:*:*:*:*:*:* glibc >= None <= 2.26

Vulnerable and fixed packages

Source package Branch Version Maintainer Status